Bug 824258 - RepoMDError: requested datatype primary not available
RepoMDError: requested datatype primary not available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:8aac7444d7d0e9ed10108c0a668...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-23 01:36 EDT by Tao Wu
Modified: 2014-10-28 19:45 EDT (History)
5 users (show)

See Also:
Fixed In Version: anaconda-18.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-03 15:42:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb-4TOwo0 (287.81 KB, text/plain)
2012-05-23 01:36 EDT, Tao Wu
no flags Details

  None (edit)
Description Tao Wu 2012-05-23 01:36:34 EDT
libreport version: 2.0.10
cmdline:        /usr/bin/python  /usr/sbin/anaconda
executable:     /usr/sbin/anaconda
exnFileName:    /tmp/anaconda-tb-4TOwo0
hashmarkername: anaconda
kernel:         3.3.4-5.fc17.i686
other involved packages: 
product:        Fedora
release:        Cannot get release name.
time:           Wed 23 May 2012 01:34:43 PM CST
version:        17

anaconda-tb-4TOwo0: Text file, 294721 bytes

description:
:The following was filed automatically by anaconda:
:anaconda 17.29 exception report
:Traceback (most recent call first):
:  File "/usr/lib/python2.7/site-packages/yum/repoMDObject.py", line 180, in getData
:    raise RepoMDError, "requested datatype %s not available" % type
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1571, in _retrieveMD
:    thisdata = self.repoXML.getData(mdtype)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1563, in retrieveMD
:    return self._retrieveMD(mdtype)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1638, in getPrimaryXML
:    return self.retrieveMD('primary')
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 186, in populate
:    xml = repo_get_function()
:  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 294, in populateSack
:    sack.populate(repo, mdtype, callback, cacheonly)
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 767, in _getSacks
:    self.repos.populateSack(which=repos)
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 730, in doSackSetup
:    return self._getSacks(archlist=archlist, thisrepo=thisrepo)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/yuminstall.py", line 1303, in <lambda>
:    self.__withFuncDo(anaconda, lambda r: self.ayum.doSackSetup(thisrepo=r.id),
:  File "/usr/lib/python2.7/site-packages/pyanaconda/yuminstall.py", line 1328, in __withFuncDo
:    fn(repo)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/yuminstall.py", line 1305, in doSackSetup
:    callback=SackSetupProgress(anaconda.intf))
:  File "/usr/lib/python2.7/site-packages/pyanaconda/iw/task_gui.py", line 48, in setupRepo
:    anaconda.backend.doSackSetup(anaconda, thisrepo=repo.id, fatalerrors=False)
:  File "/usr/lib/python2.7/site-packages/pyanaconda/iw/task_gui.py", line 371, in run
:    if not setupRepo(self.anaconda, newRepoObj):
:  File "/usr/lib/python2.7/site-packages/pyanaconda/iw/task_gui.py", line 543, in _editRepo
:    dialog.run()
:RepoMDError: requested datatype primary not available

environ:
:LC_NUMERIC=C
:LVM_SUPPRESS_FD_WARNINGS=1
:initrd=initrd.img
:GCONF_GLOBAL_LOCKS=1
:PATH=/usr/bin:/bin:/sbin:/usr/sbin:/mnt/sysimage/bin:/mnt/sysimage/usr/bin:/mnt/sysimage/usr/sbin:/mnt/sysimage/sbin:/sbin:/usr/sbin
:PIXMAPPATH=/tmp/updates/pixmaps/:/tmp/updates/:/tmp/product/pixmaps/:/tmp/product/:pixmaps/:/usr/share/anaconda/pixmaps/:/usr/share/pixmaps/:/usr/share/anaconda/:/usr/share/python-meh/:/usr/share/icons/Fedora/48x48/apps/
:HOME=/tmp
:DISPLAY=:1
:LANG=en_US.UTF-8
:TERM=linux
:TZ=Asia/Shanghai
:XAUTHORITY=/root/.Xauthority
:GLADEPATH=/tmp/updates/:/tmp/updates/data/ui/:ui/:/usr/share/anaconda/ui/:/usr/share/python-meh/
:SHLVL=0
:LIBUSER_CONF=/tmp/libuser.4fVaXX
:GNOME_DISABLE_CRASH_DIALOG=1
:PYTHONPATH=/tmp/updates
:BOOT_IMAGE=vmlinuz
:ks=http://10.66.13.157/ks.cfg
:PWD=/
:MALLOC_PERTURB_=204
:MALLOC_CHECK_=2
Comment 1 Tao Wu 2012-05-23 01:36:52 EDT
Created attachment 586249 [details]
File: anaconda-tb-4TOwo0
Comment 2 Chris Lumens 2012-08-03 15:42:40 EDT
The code this bug resulted from is no longer present as of anaconda-18.3.  Please test with F18 and if you see similar problems, open a new bug.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.